/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';

.table {
  :global {
    .ant-dropdown-trigger {
      color: $coa-primary !important;
    }
  }
}

.filterDropdown {
  background: red;
}

.registrationColumn {
  display: flex;
  align-items: center;
  column-gap: 0.3125rem;
  color: $coa-dark-gray-100;
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 400;

  &__icon {
    font-size: 1.125rem;

    &.--active {
      color: $coa-green-100;
    }

    &.--inactive {
      color: $coa-red-100;
    }
  }
}

.actionsColumn {
  display: flex;
  align-items: center;
  column-gap: 1.6875rem;
}

.headerRow {
  background: rgba($coa-primary, 0.1) !important;
  color: $coa-dark-gray-100;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
}

.row {
  color: $coa-dark-gray-100;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
}
